<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.209
Name: Conclusion Pathology Section
Description: Conclusion Pathology Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000">
   <title>Conclusion Pathology Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]
Item: (ConclusionPathologySection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']
Item: (ConclusionPathologySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']"
         id="tmp-r-8901f0c0-ab9c-4a22-8c22-f59534f64012">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'])&gt;=1 ">(ConclusionPathologySection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'])&lt;=1">(ConclusionPathologySection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:code[(@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ConclusionPathologySection): element hl7:code[(@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:code[(@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ConclusionPathologySection): element hl7:code[(@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:title)&gt;=1 ">(ConclusionPathologySection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:title)&lt;=1">(ConclusionPathologySection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ConclusionPathologySection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="count(hl7:text)&lt;=1">(ConclusionPathologySection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209']
Item: (ConclusionPathologySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209']"
         id="tmp-r-74dbad3a-2ebe-4583-a1a2-e1226e5dddfc">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.209')">(ConclusionPathologySection): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.209' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']/hl7:code[(@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ConclusionPathologySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']/hl7:code[(@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-ea9c4caf-11b9-4933-85a1-5a260ca7d1e4">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="@nullFlavor or (@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')">(ConclusionPathologySection): de elementwaarde MOET een zijn van 'code '22034-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']/hl7:title
Item: (ConclusionPathologySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']/hl7:title"
         id="tmp-r-f432db57-708f-47e7-a2bd-d1e70412413f">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="text()='Conclusie'">(ConclusionPathologySection): de element content van hl7:title MOET ''Conclusie'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']/hl7:text
Item: (ConclusionPathologySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']/hl7:text"
         id="tmp-r-49f7b6d3-6d51-4761-a2be-1a46282eca65">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']/hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]
Item: (ConclusionPathologySection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']/hl7:entry[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.591']]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.html"
              test="string(@typeCode)=('DRIV')">(ConclusionPathologySection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
