<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.326
Name: Ileum terminale photo
Description: Template: Klep of terminaal ileum vastgelegd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000">
   <title>Ileum terminale photo</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]
Item: (Ileumterminalephoto)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']
Item: (Ileumterminalephoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']"
         id="tmp-r-713de797-5237-4245-ac49-d362a795ddb5">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="string(@classCode)=('OBS')">(Ileumterminalephoto): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="string(@moodCode)=('EVN')">(Ileumterminalephoto): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'])&gt;=1 ">(Ileumterminalephoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'])&lt;=1">(Ileumterminalephoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="count(hl7:code[(@code='C140050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')])&gt;=1 and not(hl7:code[(@code='C140050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]/@nullFlavor)">(Ileumterminalephoto): element hl7:code[(@code='C140050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="count(hl7:code[(@code='C140050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')])&lt;=1">(Ileumterminalephoto): element hl7:code[(@code='C140050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Ileumterminalephoto): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Ileumterminalephoto): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="count(hl7:value)&lt;=1">(Ileumterminalephoto): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']
Item: (Ileumterminalephoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']"
         id="tmp-r-4ffacbb0-4347-49a1-ada2-348b8ec64cac">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ileumterminalephoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.326')">(Ileumterminalephoto): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.326' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']/hl7:code[(@code='C140050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]
Item: (Ileumterminalephoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']/hl7:code[(@code='C140050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]"
         id="tmp-r-28a7722a-692c-475f-ab85-2c1147928cb4">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ileumterminalephoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="@nullFlavor or (@code='C140050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Ileumterminalephoto): de elementwaarde MOET een zijn van 'code 'C140050' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']/hl7:text
Item: (Ileumterminalephoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']/hl7:text"
         id="tmp-r-df0937fa-23d3-4e83-a13a-2d7ad1c096fe">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ileumterminalephoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Ileumterminalephoto): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Ileumterminalephoto): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']/hl7:text/hl7:reference
Item: (Ileumterminalephoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']/hl7:text/hl7:reference"
         id="tmp-r-7659a41d-3364-43f1-8369-7cd90c610f0c">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ileumterminalephoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']/hl7:value
Item: (Ileumterminalephoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']/hl7:value"
         id="tmp-r-12d2a688-0b8d-451d-a32f-813f17967cb4">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150606T185548/tmp-2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ileumterminalephoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>
</pattern>
